Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drop
Class SelectionDropAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drop.TransferDropTargetAdapter
          org.eclipse.gmf.runtime.common.ui.services.dnd.drop.SelectionDropAdapter

All Implemented Interfaces:
  DropTargetListener, java.util.EventListener, ITransferDropTargetListener, SWTEventListener

public class SelectionDropAdapter
extends TransferDropTargetAdapter

Concrete implementation of the transfer drop target adapter for the selection transfer type.

Constructor Summary
`SelectionDropAdapter(ITransferAgent transferAgent)` Constructor for SelectionDropAdapter.

Method Summary
`boolean` `canSupport(DropTargetEvent event)` Returns whether the drop operation for the current drop event is supported by this listener.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.dnd.drop.TransferDropTargetAdapter
`canSupportTransferData, dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept, getContext, getListener, getTransferAgent, init, isSupportingListenerAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionDropAdapter

    public SelectionDropAdapter(ITransferAgent transferAgent)

  Constructor for SelectionDropAdapter.

Parameters:
  `transferAgent` - ITransferAgent to use

Method Detail

### canSupport

    public boolean canSupport(DropTargetEvent event)

  Description copied from interface: `ITransferDropTargetListener`
  Returns whether the drop operation for the current drop event is supported by this listener. This listener will have access to the `IDropActionContext` and the current drop target listener when this method is invoked.

  Specified by:
    `canSupport` in interface `ITransferDropTargetListener`
  Overrides:
    `canSupport` in class `TransferDropTargetAdapter`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.